summaryrefslogtreecommitdiff
path: root/dev-ruby/stringio
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-07 17:54:39 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-07 17:54:39 +0000
commitf505f8693ffbc43ca490425a6a3afddd588d886b (patch)
treedc7ec3435f724611685d1b5b7816f79db1d7a5b8 /dev-ruby/stringio
parent90d80207389eb58e168358808887d0fc2b59924c (diff)
downloadbaldeagleos-repo-f505f8693ffbc43ca490425a6a3afddd588d886b.tar.gz
baldeagleos-repo-f505f8693ffbc43ca490425a6a3afddd588d886b.tar.xz
baldeagleos-repo-f505f8693ffbc43ca490425a6a3afddd588d886b.zip
Adding metadata
Diffstat (limited to 'dev-ruby/stringio')
-rw-r--r--dev-ruby/stringio/Manifest1
-rw-r--r--dev-ruby/stringio/stringio-3.1.2.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-ruby/stringio/Manifest b/dev-ruby/stringio/Manifest
index 6467ca59c198..0a93c511b6d6 100644
--- a/dev-ruby/stringio/Manifest
+++ b/dev-ruby/stringio/Manifest
@@ -1 +1,2 @@
DIST stringio-3.1.1.tar.gz 37892 BLAKE2B a1a1e96fd4e8a4962bd9d0d9d6fc91509b706609cb17231309479f1528eff59e03f7418cbe94e25c60bd96c3c78910e6cf500b731908c965a85c11aee726219c SHA512 183b02e61d431596693fb65874326711c24b6182247b02e8c5845fc93981006e84eff009aea3237c9ca6022e13d83371a84706c16f1d68a7a8197fdb625f1d79
+DIST stringio-3.1.2.tar.gz 38763 BLAKE2B a7619e857d0303d0e28b6bb958833140a9064711bf4b8f69412bd46d3c6a46808a1487f54ba1939fb099af7b9de76d62eec726e3ee1a4a20faab3e087d20d4d9 SHA512 b7a7aec8d5cc7987c12b0d09585d972832c9cd8ee209e518e8b3160e7bd9214c0007dc9327c2207104ede3727719df267610b31ea982a3d9fbdc74997fd73cf5
diff --git a/dev-ruby/stringio/stringio-3.1.2.ebuild b/dev-ruby/stringio/stringio-3.1.2.ebuild
new file mode 100644
index 000000000000..4bc814dc1205
--- /dev/null
+++ b/dev-ruby/stringio/stringio-3.1.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_EXTENSIONS=(ext/stringio/extconf.rb)
+RUBY_FAKEGEM_GEMSPEC="stringio.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pseudo IO class from/to String."
+HOMEPAGE="https://github.com/ruby/stringio"
+SRC_URI="https://github.com/ruby/stringio/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit dev-ruby/test-unit-ruby-core )"
+
+all_ruby_prepare() {
+ sed -e "/s.version =/ s/source_version/'${PV}'/" \
+ -e 's/__dir__/"."/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}